// Copyright (C) 2016 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.gerrit.server.notedb.rebuild;

import com.google.gerrit.reviewdb.client.Change;
import com.google.gwtorm.server.OrmRuntimeException;

class ConflictingUpdateException extends OrmRuntimeException {
  private static final long serialVersionUID = 1L;

  ConflictingUpdateException(Change change, String expectedNoteDbState) {
    super(String.format(
        "Expected change %s to have noteDbState %s but was %s",
        change.getId(), expectedNoteDbState, change.getNoteDbState()));
  }
}
