// Copyright (C) 2011 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.gerrit.server.config;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class GitwebConfigTest {

  private static final String VALID_CHARACTERS = "*()";
  private static final String SOME_INVALID_CHARACTERS = "09AZaz$-_.+!',";

  @Test
  public void testValidPathSeparator() {
    for (char c : VALID_CHARACTERS.toCharArray()) {
      assertTrue("valid character rejected: " + c, GitwebConfig.isValidPathSeparator(c));
    }
  }

  @Test
  public void testInalidPathSeparator() {
    for (char c : SOME_INVALID_CHARACTERS.toCharArray()) {
      assertFalse("invalid character accepted: " + c, GitwebConfig.isValidPathSeparator(c));
    }
  }
}
